> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Groups

> Get a list of all groups



## OpenAPI

````yaml GET /api/v1/groups
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups:
    get:
      tags:
        - Group Configuration
      summary: Get a list of all Groups
      description: >
        Returns a list of all groups in the current user organization.


        If you would like to search the groups list, you can use the company
        query param. It allows searches based on the group's name or dba_name
        values.
      operationId: getGroupList
      parameters:
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
        - description: This query param searches groups by name or dba_name values
          in: query
          name: company
          required: false
          schema:
            type: string
        - description: Comma-separated list of requested UUID group IDs
          in: query
          name: group_ids
          required: false
          schema:
            type: string
        - description: >-
            Used for filtering for a carrier-specific group ID. Filter by the
            Noyo carrier ID. Must be used with carrier_group_id
          in: query
          name: carrier_id
          required: false
          schema:
            type: string
        - description: >-
            Used for filtering for a carrier-specific group ID. Must be used
            with carrier_id
          in: query
          name: carrier_group_id
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 1
                response:
                  - created: 1557512389
                    dba_name: Test Corp
                    federal_ein: '112222222'
                    id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                    modified: 1543215342
                    name: Test Company
                    organization_id: d61fa455-adf4-4dc4-8c57-6d779ba9475e
                    sic_code: '7371'
                    version: 6b72d72d-cc99-4df6-8152-7183e824c80c
              schema:
                $ref: '#/components/schemas/PaginatedGroupResult'
          description: Successful Response - Returns all matching Groups
components:
  schemas:
    PaginatedGroupResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of group results
          items:
            $ref: '#/components/schemas/GroupResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    GroupResult:
      properties:
        created:
          description: The date the record was created
          type: integer
        dba_name:
          description: DBA name for the company, if applicable
          example: Floors R Us
          type: string
        federal_ein:
          description: Federal Employer Identification Number for the company
          example: '112222222'
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        name:
          description: Name of the group
          example: ACME Flooring
          type: string
        organization_id:
          description: Unique identifier of the platform or broker organization in Noyo
          format: uuid
          type: string
        sic_code:
          description: SIC Code of the group
          example: '5713'
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - created
        - id
        - modified
        - name
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - organization_id
        - name
        - sic_code
        - dba_name
        - federal_ein

````